javax.jcr

## Class ItemExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.jcr.RepositoryException
      - - javax.jcr.ItemExistsException

All Implemented Interfaces:
  java.io.Serializable

    public class ItemExistsException
    extends RepositoryException

An exception thrown when an attempt is made to place an item in a position where another item already exists.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ItemExistsException()` Constructs a new instance of this class with `null` as its detail message.
`ItemExistsException(java.lang.String message)` Constructs a new instance of this class with the specified detail message.
`ItemExistsException(java.lang.String message, java.lang.Throwable rootCause)` Constructs a new instance of this class with the specified detail message and root cause.
`ItemExistsException(java.lang.Throwable rootCause)` Constructs a new instance of this class with the specified root cause.

### Method Summary

### Methods inherited from class javax.jcr.RepositoryException

`getCause, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ItemExistsException

    public ItemExistsException()

Constructs a new instance of this class with `null` as its detail message.

#### ItemExistsException

    public ItemExistsException(java.lang.String message)

Constructs a new instance of this class with the specified detail message.

Parameters:
  `message` - the detail message. The detail message is saved for later retrieval by the `RepositoryException.getMessage()` method.

#### ItemExistsException

    public ItemExistsException(java.lang.String message,
                               java.lang.Throwable rootCause)

Constructs a new instance of this class with the specified detail message and root cause.

Parameters:
  `message` - the detail message. The detail message is saved for later retrieval by the `RepositoryException.getMessage()` method.
  `rootCause` - root failure cause

#### ItemExistsException

    public ItemExistsException(java.lang.Throwable rootCause)

Constructs a new instance of this class with the specified root cause.

Parameters:
  `rootCause` - root failure cause

Copyright © 2004-2005 Day Software Management AG. All Rights Reserved.